package com.yeejoin.amos.boot.module.ugp.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author cpp
 * @Description
 * @Date 2022/11/10
 */
@Getter
@AllArgsConstructor
public enum  AuditEnum {


    符合("符合","1"),
    不符合且不需要整改("不符合且不需要整改","0"),
    不符合且需要重新提交资料("不符合且需要重新提交资料","2");


    private String name;
    private String status;


    public static Map<String,String> getStatusByName = new HashMap<>();
    public static Map<String,String> getNameByStatus = new HashMap<>();

    static{
        for(AuditEnum auditEnum:AuditEnum.values()){
            getStatusByName.put(auditEnum.name,auditEnum.status);
            getNameByStatus.put(auditEnum.status,auditEnum.name);
        }
    }
}
